Growth
Semantic review search
Vector similarity search over review embeddings (pgvector).
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Query Parameters
merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Request Body
application/json
Semantic search over review embeddings (pgvector).
limit?integer
Range
1 <= value <= 50Default
10query*string
Length
2 <= length <= 400sentiment?|
Value in
- "POSITIVE"
- "NEUTRAL"
- "NEGATIVE"
topic?string|null
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/reviews/search" \ -H "Content-Type: application/json" \ -d '{ "query": "string" }'{ "data": [ { "review": { "author_name": "string", "body": "string", "daypart": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_simulated": true, "is_verified_purchase": true, "primary_topic": "string", "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1", "rating": 0, "review_date": "2019-08-24", "reviewed_at": "2019-08-24T14:15:22Z", "sentiment": "string", "sentiment_score": 0, "source": "string", "title": "string", "topics": [ "string" ] }, "similarity": 0 } ], "meta": {}, "success": true}Review intelligence GET
Sentiment, topic distribution, emerging complaints and positive themes. Complaint trends are normalised per 100 orders so a shrinking segment cannot mask a worsening experience.
Contextual market signals GET
External signals scored against this merchant's actual revenue exposure. Deliberately not a general news feed.